import logging
import requests


def check_if_service_exists(namespace, service_name, service_port):
    try:
        logging.info("http://" + service_name + "." + namespace +
                     ".svc.cluster.local:" + service_port)
        requests.get(
            "http://" + service_name + "." + namespace + ".svc.cluster.local:" + service_port)
        return True
    except Exception:
        return False


def get_service_hostname(namespace, service):
    return service + "." + namespace + ".svc.cluster.local"
